Skip to content

Get screens of a flow
GA

Request

Retrieve the list of screens in a flow.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

flowIdstringrequired
curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/flows/{flowId}/screens' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Flow screens

Bodyapplication/json
screensArray of objects(WhatsappFlowScreenDto)required

List of screens for flow.

Response

Successful response to a "list screens for a flow" query.

{ "screens": [ { … } ] }
We'd love to hear from you!
Rate this content: